List Active Encoding Jobs
List all active / pending video encoding job queue for the service.
curl -X GET "https://api.5centscdn.com/v2/transcoding/jobs" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/transcoding/jobs"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/transcoding/jobs", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/transcoding/jobs", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/transcoding/jobs')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
[
{
"id": 2331,
"jobid": "1343703",
"profileid": "2939",
"infile": "/sample-video.mp4",
"outfile": "/mp4/sample-video_1080p.mp4",
"percent": "100",
"log": "",
"error": "",
"created_at": "2026-04-25 12:29:13",
"updated_at": "2026-04-25 12:33:52",
"timings": {
"process": {
"start": "1777120159097",
"end": "1777120432214"
},
"infile": {
"check": {
"start": "1777120159166",
"end": "1777120160243"
},
"probe": {
"start": "1777120160243",
"end": "1777120161860"
}
},
"download": {
"start": "1777120161932",
"end": "1777120168733"
},
"encoder": {
"start": "1777120168803",
"end": "1777120431882"
},
"outfile": {
"check": {},
"probe": {
"start": "1777120431882",
"end": "1777120431928"
},
"segment": {}
},
"thumbs": {
"process": {}
},
"upload": {
"start": "1777120432173",
"end": "1777120432203"
}
},
"profile": "1080p"
}
]
/transcoding/jobs
Target server for requests. Edit to use your own host.
API key (sent in header)
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Responses
Unique stream or record identifier.
Unique identifier of the encoding job.
Transcoding profile identifier used for this job.
Input file relative path.
Output file relative path.
Encoding completion percentage (0-100).
Encoder process log output.
Error message if the encoding job failed.
Timestamp when this record was created.
Timestamp when this record was last updated.
Timing breakdown for each stage of the encoding pipeline.
Overall process timing with start and end timestamps.
Stage start timestamp in milliseconds (Unix epoch).
Stage end timestamp in milliseconds (Unix epoch).
Input file relative path.
File existence and validity check stage timing.
Stage start timestamp in milliseconds (Unix epoch).
Stage end timestamp in milliseconds (Unix epoch).
FFprobe analysis stage timing.
Stage start timestamp in milliseconds (Unix epoch).
Stage end timestamp in milliseconds (Unix epoch).
File download stage timing.
Stage start timestamp in milliseconds (Unix epoch).
Stage end timestamp in milliseconds (Unix epoch).
Encoder execution stage timing.
Stage start timestamp in milliseconds (Unix epoch).
Stage end timestamp in milliseconds (Unix epoch).
Output file relative path.
File existence and validity check stage timing.
FFprobe analysis stage timing.
Stage start timestamp in milliseconds (Unix epoch).
Stage end timestamp in milliseconds (Unix epoch).
HLS segmentation stage timing.
Thumbnail generation stage timing.
Overall process timing with start and end timestamps.
Output file upload stage timing.
Stage start timestamp in milliseconds (Unix epoch).
Stage end timestamp in milliseconds (Unix epoch).
Codec or encoder profile name.